# -*- coding: utf-8 -*-
"""
Created on Wed Oct 24 14:18:28 2018

@author: tguyet
"""

# -*- coding: utf-8 -*-
import ogr, os, sys
from osgeo.gdalconst import * # chargement des constantes : pour GA_ReadOnly

os.chdir('.')
driver = ogr.GetDriverByName('ESRI Shapefile')

# ouverture du fichier d'entree
DS = driver.Open('intres_pern_polygons.shp', GA_ReadOnly)
if DS is None:
  print('Could not open file')
  sys.exit(1)
Layer = DS.GetLayer()

#id = input("Quel id?")
id = "046001946_002"

Layer.SetAttributeFilter("idparcel="+str(id))
feature = Layer.GetNextFeature()
if feature is None:
    print("grosse erreur !!")
    sys.exit(0)
    
geom = feature.GetGeometryRef()
centroidfeature = geom.Centroid()    
buffer = geom.Buffer(300)

#Layer.SetAttributeFilter("")
nb=0
Layer.ResetReading()
for f in Layer :
    #1. calculer la distance d entre f et feature
    geomf = f.GetGeometryRef()
    geomcentroid = geomf.Centroid()
    
    d = (geomcentroid.GetX() - centroidfeature.GetX())**2 + (geomcentroid.GetY() - centroidfeature.GetY())**2
    #2. regarder si d est plus petit que plusCourteDistance
    if d < 90000:
        #3. si oui, f devient le plus proche !
        print(f.GetField("idparcel"))
        nb+=1
print(nb)

################  Avec buffer #####################
Layer.ResetReading()
for f in Layer :
    geomf = f.GetGeometryRef()
    if geomf.Intersect(buffer):
        print(f.GetField("idparcel"))









