#!/usr/bin/env python3
# -*- coding: utf-8 -*-
"""
Created on Fri Oct 18 11:52:28 2019

@author: tguyet
"""

import os, sys, ogr
os.chdir("/home/tguyet/Enseignements/2019-2020/TELENVI/ProgSIG/CM3/RPG")

driver = ogr.GetDriverByName('ESRI Shapefile')

# ouverture du fichier d'entree
DS = driver.Open('intres_pern_polygons.shp', 0)
if DS is None:
  print('Could not open file')
  sys.exit(1)
layer = DS.GetLayer()


l=[]
for f in layer:
    if f.GetField("IDPARCEL")=="046001946_002":
        geom = f.GetGeometryRef()
        centre = geom.Centroid()
        
        print(centre)
        
        for i in range(layer.GetFeatureCount()):
            f = layer.GetFeature(i)
            geom=f.GetGeometryRef()
            c = geom.Centroid()
            if (c.GetX()-centre.GetX())**2 + (c.GetY()-centre.GetY())**2 < 300**2:
                l.append( f.GetField("IDPARCEL") )
        
l = list(set(l))
print(l)










