# -*- coding: utf-8 -*-
"""
Created on Wed Nov  7 15:38:35 2018

@author: tguyet
"""

# -*- coding: utf-8 -*-

import ogr, os, sys
import gdal
import numpy as np
import matplotlib.pyplot as plt

os.chdir('/home/tguyet/Desktop/M2_2018/CM4/Exo_Sentinel')


driver = ogr.GetDriverByName('ESRI Shapefile')
DS = driver.Open('49_ThorigneAnjou/Parcelles_Thorigne_2017.shp', 0)
Layer = DS.GetLayer()
print( Layer.GetExtent() )
extent = Layer.GetExtent()

dataset = gdal.Open("SENTINEL2A_20180703-105938-887_L2A_T30TXT_D_V1-8/SENTINEL2A_20180703-105938-887_L2A_T30TXT_D_V1-8_FRE_B2.tif", 0 )

geotransform = dataset.GetGeoTransform()
xOrigin = geotransform[0]
yOrigin = geotransform[3]
pixelWidth = geotransform[1]
pixelHeight = geotransform[5]

imin = int((extent[0] - xOrigin) / pixelWidth)
imax = int((extent[1] - xOrigin) / pixelWidth)
jmin = int((extent[3] - yOrigin) / pixelHeight)
jmax = int((extent[2] - yOrigin) / pixelHeight)


band=dataset.GetRasterBand(1)
data = band.ReadAsArray(imin, jmin, imax-imin+1, jmax-jmin+1)

import matplotlib.pyplot as plt
plt.figure()
plt.imshow(data)


# Enregistrement de l'image transformee
driver = gdal.GetDriverByName( "GTiff" )
dst_ds = driver.Create( "output.tif", imax-imin+1, jmax-jmin+1, 1, gdal.GDT_Int16 )
dst_ds.SetProjection( str(dataset.GetProjection()) ) # meme projections
geotransform = list(dataset.GetGeoTransform())    # meme transformations geometriques


geotransform[0] = imin * pixelWidth + xOrigin
geotransform[3] = jmin * pixelHeight + yOrigin
dst_ds.SetGeoTransform( geotransform )

dst_ds.GetRasterBand(1).WriteArray( data )

#fermeture des fichiers
dst_ds=None















