#!/usr/bin/env python3
# -*- coding: utf-8 -*-
"""
Created on Wed Oct  9 13:46:17 2019

@author: tguyet
"""

import ogr,os

os.chdir('/home/tguyet/Enseignements/2018-2019/TELENVI/ProgSIG/Tutoriel/LiveData/data/vecteurs/velos')

driver = ogr.GetDriverByName('ESRI Shapefile')
datasource = driver.Open("supports-velos.shp", 0)
layer = datasource.GetLayer()

cnt = 0
for f in layer:
    #print( f.GetField("nomcommune") )
    if f.GetField("nom_commune")=="Rennes" :
        cnt += 1
print(cnt)

layer.ResetReading()

cnt = 0
for f in layer:
    #print( f.GetField("nomcommune") )
    if f.GetField("nom_commune")=="Rennes" :
        cnt += f.GetField("nombre_supp")
print(cnt)

layer.ResetReading()

L = []
for f in layer:
    #print( f.GetField("nomcommune") )
    if f.GetField("nom_commune")=="Rennes" and f.GetField("nombre_supp")>=10 :
        L .append( f.GetField("nom_voie") )
print(L)

layer.ResetReading()

##### Comptage voisin 

for f in layer:
    x = f.GetGeometryRef().GetX()
    y = f.GetGeometryRef().GetY()
    #Compter le nombre de voisins de f
    cnt = 0
    for i in range(1,layer.GetFeatureCount()):
        fp = layer.GetFeature(i)
        xp = fp.GetGeometryRef().GetX()
        yp = fp.GetGeometryRef().GetY()
        #print((x-xp)**2 + (y-yp)**2)
        if (x-xp)**2 + (y-yp)**2 <= 0.01:
            cnt += 1
    print( str(f.GetField("nom_voie")) + ":" + str(cnt) )
        
    
print(L)





















