#!/usr/bin/env python3
# -*- coding: utf-8 -*-
"""
Created on Tue Oct 15 14:29:34 2019

@author: tguyet
"""

import ogr, os, sys
from osgeo.gdalconst import * # chargement des constantes : pour GA_ReadOnly

os.chdir('/home/tguyet/Enseignements/2019-2020/TELENVI/ProgSIG/CM2/EtudeTampon')
driver = ogr.GetDriverByName('ESRI Shapefile')

# ouverture du fichier d'entree
DSparcelles = driver.Open('ILOTS_SIMPLES.shp', GA_ReadOnly)
if DSparcelles is None:
  print('Could not open file')
  sys.exit(1)
parcelles = DSparcelles.GetLayer()

#solution 1
area = 0
for p in parcelles:
    geom = p.GetGeometryRef()
    area += geom.GetArea()

print("sum:", area)

#solution 2

l = []
parcelles.ResetReading()
for p in parcelles:
    geom = p.GetGeometryRef()    
    l.append( geom.GetArea() )
    
print("sum:", sum(l))



# Fermeture des sources de donnees
DSparcelles.Destroy()












