# -*- coding: utf-8 -*-
"""
Created on Wed Oct 24 15:36:09 2018

@author: tguyet
"""

# -*- coding: utf-8 -*-
import ogr, os, sys
from osgeo.gdalconst import * # chargement des constantes : pour GA_ReadOnly

os.chdir('.')
driver = ogr.GetDriverByName('ESRI Shapefile')

# ouverture du fichier d'entree
DS = driver.Open('intres_pern_polygons.shp', GA_ReadOnly)
if DS is None:
  print('Could not open file')
  sys.exit(1)
Layer = DS.GetLayer()

#id = input("Quel id?")
id = "046001946_002"

Layer.SetAttributeFilter("idparcel='"+str(id)+"'")

for feature in Layer:
    #if feature.GetField("idparcel")!=str(id):
    #    continue
    geom = feature.GetGeometryRef()
    centroidfeature = geom.Centroid()
    
    for i in range(Layer.GetFeatureCount()) :
        #1. calculer la distance d entre f et feature
        f = Layer.GetFeature(i)
        geomf = f.GetGeometryRef()
        geomcentroid = geomf.Centroid()
        
        d = (geomcentroid.GetX() - centroidfeature.GetX())**2 + (geomcentroid.GetY() - centroidfeature.GetY())**2
        #2. regarder si d est plus petit que plusCourteDistance
        if d < 90000:
            #3. si oui, f devient le plus proche !
            print(f.GetField("idparcel"))
    
    
    
    
    
    
    
    
    
